Subject: Re: bug#6539: ispell-complete-word looks for wrong file (at least on w32)

From: Lennart Borgman <[email-masked]>
Date: Mon, 5 Jul 2010 14:27:50 +0200

On Mon, Jul 5, 2010 at 1:52 PM, Agustin Martin
<[email-masked]> wrote:
>> >
>> > Or, more globally, find a good and not confusing name for default personal
>> > plain wordlist that can be used in every system, be it w32 or not, so it is
>> > tried first in `ispell-alternate-dictionary', something like
>> >
>> > (expand-file-name "~/.personal.words")
>>
>> How will that help, exactly?  /usr/dict/words exists on almost every
>> Posix system, which is why ispell.el has that as the default.  But
>> there's no comparable functionality on Windows, so the only way of
>> getting this work on Windows is to find or download such a file from
>> somewhere, and manually install it in some arbitrary directory.  How
>> is Emacs supposed to know whether such a file exists, and where?
>
> [Really attaching diff]
>
> My initial intention was to provide an out-of-the box default for personal
> wordlist, useful for both w32 and *X systems. However, as you point out in
> another message, since this is originally an Ispell feature, I think I
> should not add an Emacs specific difference. Customizing
> `ispell-alternate-dictionary' (or `ispell-complete-word-dict') seems the
> way to go.
>
> However, docstrings and error handling for this complete-word stuff needs
> to be improved, so it provides useful and accurate information. I am
> currently trying something like attached patch where
> `ispell-alternate-dictionary' is set to nil if no default is found and
> checked before use. I find error message too long, but better that before.
> As usually, suggestions are welcome.
>
> It also changes `file-exists-p' to `file-readable-p' in
> `ispell-alternate-dictionary' definition.
>
> I have also noticed that ispell.el uses `ispell-alternate-dictionary' and
> `ispell-complete-word-dict' in a way that seems to be interchangeable, but
> confusing. The former was probably used at some time as a real alternate
> dictionary for spellchecking, but current use seems to be for completion.
> Have to think a bit more about this.

Thanks Agustin, but I still think it is a very bad idea to have
unix-style file names as default for other systems.